CKEDITOR.plugins.add( 'aflash',
{
	init: function( editor )
	{
		editor.addCommand( 'aflashCommand', new CKEDITOR.dialogCommand( 'aflashDialog' ) );
		editor.ui.addButton( 'aflash',
			{
				label: 'لإدراج فلاش يتم عرضه مباشرة في الموضوع بطريقة عادية',
				command: 'aflashCommand',
				icon: this.path + 'flash.gif'
			}
		);
		// dialog
		CKEDITOR.dialog.add( 'aflashDialog', function( editor )
		{
			return {
				title : 'فلاش يتم عرضه مباشرة في الموضوع بطريقة عادية',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'aflash',
						label : 'aflash',
						elements :
						[
							{
								type : 'html',
								html : '<center>ادخل رابط ملف فلاش يتم عرضة بشكل عادى و قم بتحديد عرض و ارتفاع صندوق عرض الملف</center>'
							},
							{
								type : 'text',
								id : 'url',
								label : 'الرابط',
								//validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'width',
								label : 'العرض - بكسل',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								default : '400',
								required : true,
								commit : function( me )
								{
									me.width = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'height',
								label : 'الارتفاع -بكسل',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								default : '350',
								required : true,
								commit : function( me )
								{
									me.height = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					var dialog = this,
					me = {},
					link = editor.document.createElement( 'span' );
					this.commitContent( me );
					editor.insertHtml('[flash= '+ me.url + ']WIDTH=' + me.width + ' HEIGHT=' + me.height + '[/flash]');
				}
			};
		});
	}
});